[PATCH] MAINTAINERS: mark wusbcore and UWB as obsolete

Joe Perches joe at perches.com
Thu Aug 8 11:15:44 UTC 2019


On Thu, 2019-08-08 at 11:41 +0200, Greg Kroah-Hartman wrote:
> On Thu, Aug 08, 2019 at 11:25:09AM +0200, Greg Kroah-Hartman wrote:
> > Joe rightly points out that we should be using the "Obsolete" status for
> > these two subsystems.
> 
> Even with that change, I don't see get_maintainers.pl tell me I
> shouldn't be sending a patch in for this area:

Nor should you.  It's checkpatch that should warn.

> 
> 
> $ cat x.patch
> diff --git a/drivers/staging/uwb/Kconfig b/drivers/staging/uwb/Kconfig
> index 259e053e1e09..d9658c46686e 100644
> --- a/drivers/staging/uwb/Kconfig
> +++ b/drivers/staging/uwb/Kconfig
> @@ -3,6 +3,8 @@
>  # UWB device configuration
>  #
> 
> +
> +
>  menuconfig UWB
>         tristate "Ultra Wideband devices"
>         default n
> $ ./scripts/get_maintainer.pl x.patch
> Greg Kroah-Hartman <gregkh at linuxfoundation.org> (supporter:STAGING SUBSYSTEM,commit_signer:2/2=100%,authored:1/2=50%)
> Thomas Gleixner <tglx at linutronix.de> (commit_signer:1/2=50%,authored:1/2=50%)
> devel at driverdev.osuosl.org (open list:ULTRA-WIDEBAND (UWB) SUBSYSTEM:)
> linux-kernel at vger.kernel.org (open list)
> 
> 
> Am I missing something?




More information about the devel mailing list